
%define pre beta3

Name:       qca-cyrus-sasl
Summary:    Cyrus-SASL plugin for the Qt Cryptographic Architecture
Version:    2.0.0
Release:    0.8.%{pre}%{?dist}

License:    LGPLv2+
Group:      System Environment/Libraries
URL:        http://delta.affinix.com/qca/
Source0:    http://delta.affinix.com/download/qca/2.0/plugins/%{name}-%{version}-%{pre}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: cyrus-sasl-devel
BuildRequires: pkgconfig(QtCore) 
BuildRequires: pkgconfig(qca2)

Requires: cyrus-sasl-md5%{?_isa}

Provides:   qca2-cyrus-sasl = %{version}-%{release}
Provides:   qca2-cyrus-sasl%{?_isa} = %{version}-%{release}

%{?_qt4:Requires: %{_qt4}%{?_isa} >= %{_qt4_version}}

%description
%{summary}.


%prep
%setup -q -n %{name}-%{version}-%{pre}


%build
export PATH=%{_qt4_bindir}:$PATH
./configure \
  --no-separate-debug-info \
  --verbose

make %{?_smp_mflags}


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_qt4_plugindir}/crypto
make install INSTALL_ROOT=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README COPYING
%{_qt4_plugindir}/crypto/libqca-cyrus-sasl.so


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.8.beta3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.7.beta3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.6.beta3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.5.beta3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.4.beta3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 07 2012 Rex Dieter <rdieter@fedoraproject.org> 2.0.0-0.3.beta3
- Requires: cyrus-sasl-md5

* Wed Nov 09 2011 Rex Dieter <rdieter@fedoraproject.org> 2.0.0-0.2.beta3
- first try
